Skip to content
Last updated

Retrieve a paginated list of all vector stores in an organization.

GEThttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/stores

Returns all vector stores belonging to the specified organization, regardless of which knowledge slice they are associated with.

Path Parameters

organization_id string required

The unique identifier of the organization (format: org_*).

Query Parameters

skip integer optional · Defaults to 0

Number of items to skip for pagination.

limit integer optional · Defaults to 20

Maximum number of items to return (1-100).


Returns

A paginated list of vector store objects with items, total, skip, limit, and has_more fields.

cURL
curl "https://api.aitronos.com/v1/organizations/org_xyz789/knowledge/stores?limit=10" \
  -H "Authorization: Bearer $ACCESS_TOKEN"